<template>
  <el-form :model="ruleForm2" :rules="rules2" ref="ruleForm2" label-position="left" label-width="0px" class="demo-ruleForm login-container">
    <h3 class="title">可视化系统登录</h3>
    <el-form-item prop="account">
      <el-input type="text" v-model="ruleForm2.account" auto-complete="off" placeholder="账号"></el-input>
    </el-form-item>
    <el-form-item prop="checkPass">
      <el-input type="password" v-model="ruleForm2.checkPass" auto-complete="off" placeholder="密码"></el-input>
    </el-form-item>
    <el-checkbox v-model="checked" checked class="remember">记住密码</el-checkbox>
    <el-form-item style="width:100%;">
      <el-button type="primary" style="width:100%;" @click.native.prevent="handleSubmit2" :loading="logining">登录</el-button>
      <!--<el-button @click.native.prevent="handleReset2">重置</el-button>-->
    </el-form-item>
  </el-form>
</template>

<script>
  import { requestLogin } from '../api/api';
  //import NProgress from 'nprogress'
  export default {
    data() {
      return {
        logining: false,
        ruleForm2: {
          account: '',
          checkPass: ''
        },
        rules2: {
          account: [
            { required: true, message: '请输入账号', trigger: 'blur' },
            //{ validator: validaePass }
          ],
          checkPass: [
            { required: true, message: '请输入密码', trigger: 'blur' },
            //{ validator: validaePass2 }
          ]
        },
        checked: true
      };
    },
    methods: {
        //重置
        handleReset2() {
            this.$refs.ruleForm2.resetFields();
        },

       //登录函数 
      handleSubmit2(ev) {
        var _this = this;
        this.$refs.ruleForm2.validate((valid) => {

          if (valid) {

            this.logining = true;  //显示加载框
            var loginParams = { username: this.ruleForm2.account, password: this.ruleForm2.checkPass }; //账号和密码的传递

            this.$api.post('/api/index/base/login',loginParams, response => {
                if (response.status == 200 && response.status < 300) {
                    let { msg, code ,user,is_reg,authKey} = response.data;
                    if(code=="00"){
                        sessionStorage.setItem('authKey', JSON.stringify(authKey));//token
                        sessionStorage.setItem('user', JSON.stringify(user));             //存储登录者的姓名
                        sessionStorage.setItem('is_reg', JSON.stringify(is_reg));         //存储是否登录的状态
						this.$router.push({ path: '/user_setting' });                     //跳转路由
						
                    }else{
                        this.logining = false;
                        this.$message.error(msg);
                    }
                } else {
                    this.logining = false;
                    console.log(response.message);
                }
            });
          } else {

                this.$message.error("error submit");
                return false; 
          }
        });
      }
    }
  }

</script>

<style lang="scss" scoped>
  .login-container {
    -webkit-border-radius: 5px;
    border-radius: 5px;
    -moz-border-radius: 5px;
    background-clip: padding-box;
    margin: 180px auto;
    width: 350px;
    padding: 35px 35px 15px 35px;
    background: #fff;
    border: 1px solid #eaeaea;
    box-shadow: 0 0 25px #cac6c6;
    .title {
      margin: 0px auto 40px auto;
      text-align: center;
      color: #505458;
    }
    .remember {
      margin: 0px 0px 35px 0px;
    }
  }
</style>